MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Nitf::ImageSegment Class Reference

represents a image segment in an existing NITF file More...

`#include <ImageSegment.h>`

Inheritance diagram for Nitf::ImageSegment:
[legend]
Collaboration diagram for Nitf::ImageSegment:
[legend]

## Public Member Functions
| ImageSegment (NITFReaderManager &, LTIOStreamInf &, int segmentNumber, lt_int64 headerOffset, lt_int64 headerLength, lt_int64 dataOffset, lt_int64 dataLength)
| ~ImageSegment ()
LT_STATUS | initialize ()
| initializer More...
const char * | getIID1 () const
| returns the IID1 field of the image More...
Format | getFormat () const
| returns the format (JPEG, RAW, JP2, etc) of the image More...
Layout | getLayout () const
| returns the layout (interleaved, blocked, etc) of the image More...
bool | isBlocked () const
| returns true iff the image is blocked More...
bool | isMasked () const
| returns true iff the image is masked More...
const LTIPixel & | getPixelProps () const
| returns the pixel type of the image More...
lt_uint32 | getWidth () const
| returns the width of the image, in pixels More...
lt_uint32 | getHeight () const
| returns the height of the image, in pixels More...
int | getBlockWidth () const
| returns the width of a block, in pixels (corresponds to the NPPBH field) More...
int | getBlockHeight () const
| returns the height of a block, in pixels (corresponds to the NPPBV field) More...
int | getBlocksPerRow () const
| returns the number of blocks per row in the image (corresponds to the NBPR field) More...
int | getBlocksPerCol () const
| returns the number of blocks per row in the image (corresponds to the NBPC field) More...
int | getNBPP () const
| returns the number of bits per pixel used in the image (corresponds to the NBPP field) More...
int | getNBANDS () const
| returns the number of bands in the image (corresponds to the NBANDS field) More...
int | getILOCr () const
int | getILOCc () const
const lt_uint8 * | getPadValue () const
lt_uint64 | getBlockOffset (lt_uint32 index) const
lt_uint64 | getNextBlockOffset (lt_uint32 index) const
bool | isMaskedBlock (lt_uint32 index) const
LT_STATUS | isSupported () const
LT_STATUS | addMetadataLocal (LTIMetadataDatabase &db) const
LT_STATUS | createDataStream (LTIOSubStream *&) const
bool | hasGeoInfo (void) const
LT_STATUS | setGeoCoord (LTIGeoCoord &) const
const ImageSegmentMetadata * | getImageMetadata () const
| returns the metadata object associated with the image More...
Public Member Functions inherited from Nitf::Segment
| Segment (NITFReaderManager &, LTIOStreamInf &, lt_int64 headerOffset, lt_int64 headerLength, lt_int64 dataOffset, lt_int64 dataLength, const char *code, int segmentNumber, bool doUserSubheader, bool doExtendedSubheader)
virtual | ~Segment ()
int | getSegmentNumber () const
const char * | getSegmentID ()
lt_int64 | getHeaderOffset () const
lt_int64 | getHeaderLength () const
lt_int64 | getDataOffset () const
lt_int64 | getDataLength () const
const SecurityBlock * | getSecurityBlock () const
const SecurityMetadata * | getSecurityMetadata () const
| returns the security information about the segment More...
virtual LT_STATUS | addMetadata (LTIMetadataDatabase &) const
const char * | getMetadataTagPrefix () const
int | getNumTREs () const
| returns the number of TREs in this segment More...
const TREData * | getTRE (int index) const
| TRE accessor. More...

## Additional Inherited Members
Protected Attributes inherited from Nitf::Segment
MetadataHelper * | m_mdHelper
FieldReader * | m_field
LTIOStreamInf & | m_stream
const lt_int64 | m_headerOffset
lt_int64 | m_headerLength
const lt_int64 | m_dataOffset
const lt_int64 | m_dataLength
NITFReaderManager & | m_manager
Version | m_version
SecurityBlock * | m_securityBlock
const int | m_segmentNumber
const char * | m_segmentID

## Detailed Description

This class represents an image segment in an NITF file. To access the image segment of a file, retrieve the ImageSegment from the NITFReaderManager class.

This class exposes some basic properties of the image in the segment.

This class does not implement the renderable image, however. Use the createImage() function of the NITFReaderManager to access an ImageReader (which is an LTIImageReader).

Definition at line 44 of file ImageSegment.h.

## Constructor & Destructor Documentation

Nitf::ImageSegment::ImageSegment | ( | NITFReaderManager & | ,
|  | LTIOStreamInf & | ,
|  | int | segmentNumber,
|  | lt_int64 | headerOffset,
|  | lt_int64 | headerLength,
|  | lt_int64 | dataOffset,
|  | lt_int64 | dataLength
| ) |  |

Nitf::ImageSegment::~ImageSegment | ( | ) |  |

## Member Function Documentation

LT_STATUS Nitf::ImageSegment::addMetadataLocal | ( | LTIMetadataDatabase & | db) |  | const
| virtual

Implements Nitf::Segment.

LT_STATUS Nitf::ImageSegment::createDataStream | ( | LTIOSubStream *& | ) |  | const

int Nitf::ImageSegment::getBlockHeight | ( | ) |  | const

lt_uint64 Nitf::ImageSegment::getBlockOffset | ( | lt_uint32 | index) |  | const

int Nitf::ImageSegment::getBlocksPerCol | ( | ) |  | const

int Nitf::ImageSegment::getBlocksPerRow | ( | ) |  | const

int Nitf::ImageSegment::getBlockWidth | ( | ) |  | const

Format Nitf::ImageSegment::getFormat | ( | ) |  | const

lt_uint32 Nitf::ImageSegment::getHeight | ( | ) |  | const

const char* Nitf::ImageSegment::getIID1 | ( | ) |  | const

int Nitf::ImageSegment::getILOCc | ( | ) |  | const

int Nitf::ImageSegment::getILOCr | ( | ) |  | const

const ImageSegmentMetadata* Nitf::ImageSegment::getImageMetadata | ( | ) |  | const

Layout Nitf::ImageSegment::getLayout | ( | ) |  | const

int Nitf::ImageSegment::getNBANDS | ( | ) |  | const

int Nitf::ImageSegment::getNBPP | ( | ) |  | const

lt_uint64 Nitf::ImageSegment::getNextBlockOffset | ( | lt_uint32 | index) |  | const

const lt_uint8* Nitf::ImageSegment::getPadValue | ( | ) |  | const

const LTIPixel& Nitf::ImageSegment::getPixelProps | ( | ) |  | const

lt_uint32 Nitf::ImageSegment::getWidth | ( | ) |  | const

bool Nitf::ImageSegment::hasGeoInfo | ( | void | ) |  | const

LT_STATUS Nitf::ImageSegment::initialize | ( | ) |  |
| virtual

This function must be called immediately after the constructor.

Returns
  success or failure

Reimplemented from Nitf::Segment.

bool Nitf::ImageSegment::isBlocked | ( | ) |  | const

bool Nitf::ImageSegment::isMasked | ( | ) |  | const

bool Nitf::ImageSegment::isMaskedBlock | ( | lt_uint32 | index) |  | const

LT_STATUS Nitf::ImageSegment::isSupported | ( | ) |  | const

LT_STATUS Nitf::ImageSegment::setGeoCoord | ( | LTIGeoCoord & | ) |  | const

The documentation for this class was generated from the following file:

- ImageSegment.h

LizardTech